aboutsummaryrefslogtreecommitdiffstats
path: root/resources/libraries/bash/entry/per_patch_perf.sh
diff options
context:
space:
mode:
authorPeter Mikus <pmikus@cisco.com>2019-02-04 10:16:48 +0000
committerPeter Mikus <pmikus@cisco.com>2019-02-19 18:14:20 +0000
commitfa0fe5c805169951c466d3b18091c0cfc52dd5ca (patch)
tree50a053f45cfc033b6bd654049352eaa88c56e90e /resources/libraries/bash/entry/per_patch_perf.sh
parent9e158c1ee4ea59a23fd747ebfe6ddb00dd9cc668 (diff)
CSIT-1419 Convert vpp-virl job to vpp-device
Change-Id: I5af6de4b96775a72855e1644ca4d8d9b4b2f9e25 Signed-off-by: Peter Mikus <pmikus@cisco.com>
Diffstat (limited to 'resources/libraries/bash/entry/per_patch_perf.sh')
-rw-r--r--resources/libraries/bash/entry/per_patch_perf.sh11
1 files changed, 5 insertions, 6 deletions
diff --git a/resources/libraries/bash/entry/per_patch_perf.sh b/resources/libraries/bash/entry/per_patch_perf.sh
index 73d4f69500..c176bbfd5f 100644
--- a/resources/libraries/bash/entry/per_patch_perf.sh
+++ b/resources/libraries/bash/entry/per_patch_perf.sh
@@ -41,10 +41,10 @@ source "${BASH_FUNCTION_DIR}/common.sh" || {
source "${BASH_FUNCTION_DIR}/per_patch.sh" || die "Source failed."
common_dirs || die
set_perpatch_vpp_dir || die
-build_vpp_ubuntu_amd64 "NEW" || die
-prepare_build_parent || die
+build_vpp_ubuntu_amd64 "CURRENT" || die
+set_aside_commit_build_artifacts || die
build_vpp_ubuntu_amd64 "PARENT" || die
-prepare_test || die
+set_aside_parent_build_artifacts || die
## Replace previous 4 lines with this to speed up testing.
#download_builds "REPLACE_WITH_URL" || die
initialize_csit_dirs || die
@@ -67,13 +67,12 @@ for ((iter=0; iter<iterations; iter++)); do
archive_parse_test_results "csit_parent/${iter}" || die
die_on_pybot_error || die
cleanup_topo
- select_build "build_new" || die
+ select_build "build_current" || die
check_download_dir || die
run_pybot || die
copy_archives || die
- archive_parse_test_results "csit_new/${iter}" || die
+ archive_parse_test_results "csit_current/${iter}" || die
die_on_pybot_error || die
done
untrap_and_unreserve_testbed || die
compare_test_results # The error code becomes this script's error code.
-# TODO: After merging, make sure archiving works as expected.